## Package org.apache.hadoop.security.token

Interface Summary
TokenSelector<T extends TokenIdentifier>: Select token of type T from tokens for use with named service

Class Summary
SecretManager<T extends TokenIdentifier>: The server-side secret manager for each token type.
Token<T extends TokenIdentifier>: The client-side form of the token.
Token.TrivialRenewer: A trivial renewer for token kinds that aren't managed.
TokenIdentifier: An identifier that identifies a token, may contain public information about a token, including its kind (or type).
TokenRenewer: This is the interface for plugins that handle tokens.

Exception Summary
SecretManager.InvalidToken: The token was invalid and the message explains why.

Annotation Types Summary
TokenInfo: Indicates Token related information to be used

Copyright © 2009 The Apache Software Foundation